export namespace CHAT_CONFIGURATIONS {
    const CONCURRENT_CHATS: number;
}
export const PARTICIPANT_TOKEN_HEADER: "x-amzn-connect-participant-token";
export const AUTH_HEADER: "X-Amz-Bearer";
export namespace FEATURES {
    const MESSAGE_RECEIPTS_ENABLED: string;
}
export namespace RESOURCE_PATH {
    const CONNECTION_DETAILS: string;
    const MESSAGE: string;
    const TRANSCRIPT: string;
    const EVENT: string;
    const DISCONNECT: string;
    const PARTICIPANT_CONNECTION: string;
    const ATTACHMENT: string;
}
export namespace SESSION_TYPES {
    const AGENT: string;
    const CUSTOMER: string;
}
export namespace CSM_CATEGORY {
    const API: string;
    const UI: string;
}
export namespace ACPS_METHODS {
    const SEND_MESSAGE: string;
    const SEND_ATTACHMENT: string;
    const DOWNLOAD_ATTACHMENT: string;
    const SEND_EVENT: string;
    const GET_TRANSCRIPT: string;
    const DISCONNECT_PARTICIPANT: string;
    const CREATE_PARTICIPANT_CONNECTION: string;
    const DESCRIBE_VIEW: string;
}
export namespace WEBSOCKET_EVENTS {
    const ConnectionLost: string;
    const ConnectionGained: string;
    const Ended: string;
    const IncomingMessage: string;
    const InitWebsocket: string;
}
export namespace CHAT_EVENTS {
    const INCOMING_MESSAGE: string;
    const INCOMING_TYPING: string;
    const INCOMING_READ_RECEIPT: string;
    const INCOMING_DELIVERED_RECEIPT: string;
    const CONNECTION_ESTABLISHED: string;
    const CONNECTION_LOST: string;
    const CONNECTION_BROKEN: string;
    const CONNECTION_ACK: string;
    const CHAT_ENDED: string;
    const MESSAGE_METADATA: string;
    const PARTICIPANT_IDLE: string;
    const PARTICIPANT_RETURNED: string;
    const AUTODISCONNECTION: string;
}
export namespace CONTENT_TYPE {
    const textPlain: string;
    const textMarkdown: string;
    const textCsv: string;
    const applicationDoc: string;
    const applicationDocx: string;
    const applicationJson: string;
    const applicationPdf: string;
    const applicationPpt: string;
    const applicationPptx: string;
    const applicationXls: string;
    const applicationXlsx: string;
    const imageJpg: string;
    const imagePng: string;
    const audioWav: string;
    const audioXWav: string;
    const audioVndWave: string;
    const connectionAcknowledged: string;
    const typing: string;
    const participantJoined: string;
    const participantLeft: string;
    const participantActive: string;
    const participantInactive: string;
    const transferSucceeded: string;
    const transferFailed: string;
    const chatEnded: string;
    const interactiveMessage: string;
    const interactiveMessageResponse: string;
    const readReceipt: string;
    const deliveredReceipt: string;
    const participantIdle: string;
    const participantReturned: string;
    const autoDisconnection: string;
}
export const CHAT_EVENT_TYPE_MAPPING: {
    [x: string]: string;
    default: string;
};
export const EVENT: "EVENT";
export const MESSAGE: "MESSAGE";
export const CONN_ACK_FAILED: "CONN_ACK_FAILED";
export namespace TRANSCRIPT_DEFAULT_PARAMS {
    const MAX_RESULTS: number;
    const SORT_ORDER: string;
    const SCAN_DIRECTION: string;
}
export namespace LOGS_DESTINATION {
    const NULL: string;
    const CLIENT_LOGGER: string;
    const DEBUG: string;
}
export namespace REGIONS {
    const pdx: string;
    const iad: string;
    const syd: string;
    const nrt: string;
    const fra: string;
    const pdt: string;
    const yul: string;
    const icn: string;
    const cpt: string;
}
export namespace AGENT_RECONNECT_CONFIG {
    const interval: number;
    const maxRetries: number;
}
export namespace CUSTOMER_RECONNECT_CONFIG {
    const interval_1: number;
    export { interval_1 as interval };
    const maxRetries_1: number;
    export { maxRetries_1 as maxRetries };
}
export const CONNECTION_TOKEN_POLLING_INTERVAL_IN_MS: number;
export const CONNECTION_TOKEN_EXPIRY_BUFFER_IN_MS: number;
export const TRANSPORT_LIFETIME_IN_SECONDS: 3540;
export const SEND_EVENT_CONACK_THROTTLED: "SEND_EVENT_CONACK_THROTTLED";
export const CREATE_PARTICIPANT_CONACK_FAILURE: "CREATE_PARTICIPANT_CONACK_FAILURE";
export const SEND_EVENT_CONACK_FAILURE: "SEND_EVENT_CONACK_FAILURE";
export const CREATE_PARTICIPANT_CONACK_API_CALL_COUNT: "CREATE_PARTICIPANT_CONACK_CALL_COUNT";
export const TYPING_VALIDITY_TIME: 10000;
